# class RDoc::Store::MissingFileError

Raised when a stored file for a class, module, page or method is missing.

### Attributes

file [R]

The file the `name` should be saved as

name [R]

The name of the object the `file` would be loaded from

store [R]

The store the file should exist in

### Public Class Methods

new (store, file, name)
Source

    # File lib/rdoc/store.rb, line 57
    def initialize store, file, name
      @store = store
      @file  = file
      @name  = name
    end

Creates a new `MissingFileError` for the missing `file` for the given `name` that should have been in the `store`.